jQuery( document ).ready( function( $ ) {
	$( "#deactivate-safelayout-cute-preloader" ).click( function () {
		event.preventDefault();
		$( "#sl-pl-feedback-modal" ).css( 'display', 'block' );
	});
	$( "#sl-pl-feedback-modal,#sl-pl-feedback-cancel" ).click( function () {
		if ( event.target === this ) {
			event.preventDefault();
			hideModal();
		}
	});
	function hideModal() {
		$( "#sl-pl-feedback-loader" ).css( 'display', 'none' );
		$( "#sl-pl-feedback-modal" ).css( 'display', 'none' );
	}
	$( "#sl-pl-feedback-submit" ).click( function () {
		event.preventDefault();
		if ( $( '#sl-pl-feedback-submit' ).attr( 'disabled' ) ) {
			return;
		}
		$( "#sl-pl-feedback-loader" ).css( 'display', 'block' );
		var id = $( "[name='sl-pl-feedback-radio']:checked" ).attr( "id" );
		var type = $( "[name='sl-pl-feedback-radio']:checked" ).val();
		var text = '';
		if ( id != 'sl-pl-feedback-item1' && id != 'sl-pl-feedback-item4' ) {
			text = $( "#" + id + "-text" ).val();
		}
		$.post( slplPreloaderAjax.ajax_url, {
			_ajax_nonce: slplPreloaderAjax.nonce,
			action: "slpl_preloader_feedback",
			type: type,
			text: text
		}, function() {
			$( "#sl-pl-feedback-loader-msg" ).html( $( "#sl-pl-feedback-loader-msg-tr" ).html() );
			setTimeout( function(){$( '#sl-pl-feedback-modal' ).fadeTo( 1000, 0, function () {hideModal()} )}, 500 );
			window.location = $( "#deactivate-safelayout-cute-preloader" ).attr( "href" );
		});
	});
	$( "#sl-pl-feedback-skip" ).click( function () {
		event.preventDefault();
		$( "#sl-pl-feedback-modal" ).css( 'display', 'none' );
		window.location = $( "#deactivate-safelayout-cute-preloader" ).attr( "href" );
	});
	$( "[name='sl-pl-feedback-radio']" ).change( function() {
		$( "#sl-pl-feedback-submit" ).removeAttr( 'disabled' );
		$( "#sl-pl-feedback-item2-text,#sl-pl-feedback-item3-text,#sl-pl-feedback-item5-text,#sl-pl-feedback-item6-text" ).css( 'display', 'none' );
		if ( this.id != 'sl-pl-feedback-item1' && this.id != 'sl-pl-feedback-item4' ) {
			$( "#" + this.id + "-text" ).css( 'display', 'initial' );
		}
	});
	$( "#sl-pl-rate-later,#sl-pl-rate-already" ).click( function () {
		event.preventDefault();
		$.post( slplPreloaderAjax.ajax_url, {
			_ajax_nonce: slplPreloaderAjax.nonce,
			action: "slpl_preloader_rate_reminder",
			type: this.id
		});
		var el = $( "#sl-pl-rate-reminder" );
		el.fadeTo(100, 0, function () {
			el.slideUp(100, function () {
				el.remove();
			});
		});
	});
});